| DocBook: The Definitive Guide 2.0.17 (Alpha)

# bibliorelation

$Revision$

$Date$

bibliorelation — The relationship of a document to another

## Synopsis

### Mixed Content Model

    bibliorelation ::=
    (#PCDATA|link|olink|ulink|emphasis|trademark|replaceable|remark|
     subscript|superscript|inlinegraphic|inlinemediaobject|indexterm)*

### Attributes

Common attributes

Name | Type | Default
othertype | CDATA | None
otherclass | CDATA | None

type

Enumeration:
hasformat
haspart
hasversion
isformatof
ispartof
isreferencedby
isreplacedby
isrequiredby
isversionof
othertype
references
replaces
requires

None

class

Enumeration:
doi
isbn
isrn
issn
libraryofcongress
other
pubnumber
uri

None

## Description

The `bibliorelation` element satisfies the relation element of the Dublin Core Metadata Initiative.

The Dublin Core defines relation as “a reference to a related resource.” It goes on to note that “recommended best practice is to reference the resource by means of a string or number conforming to a formal identification system.”

DocBook 4.2 added `bibliocoverage`, `bibliorelation`, and `bibliosource` to make the DocBook meta-information wrappers a complete superset of the Dublin Core.

### Processing expectations

Formatted inline. Sometimes suppressed.

### Parents

These elements contain bibliorelation: `appendixinfo`, `articleinfo`, `biblioentry`, `bibliographyinfo`, `bibliomixed`, `bibliomset`, `biblioset`, `blockinfo`, `bookinfo`, `chapterinfo`, `glossaryinfo`, `indexinfo`, `objectinfo`, `partinfo`, `prefaceinfo`, `refentryinfo`, `referenceinfo`, `refsect1info`, `refsect2info`, `refsect3info`, `refsectioninfo`, `refsynopsisdivinfo`, `sect1info`, `sect2info`, `sect3info`, `sect4info`, `sect5info`, `sectioninfo`, `setindexinfo`, `setinfo`, `sidebarinfo`.

### Children

The following elements occur in bibliorelation: `emphasis`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `link`, `olink`, `remark`, `replaceable`, `subscript`, `superscript`, `trademark`, `ulink`.

## Attributes

class

  Identifies the encoding scheme of the identifier.

otherclass

  Identifies the encoding scheme of the identifier when `class` is `other`.

type

  Identifies the relationship type of the identifier. See the Dublin Core Qualifiers for details about the relationship types.

othertype

  Identifies the relationship type of the identifier when `type` is `othertype`.

biblioref |  | biblioset

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.